﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ObjectSearch
{
    public interface IIndex
    {
        bool Exists { get; }
        void CreateIndex();

        IIndexWriter CreateWriter<T>();
        IPagedSearchResults<T> SearchPagedResult<T>(string query, int itemsPerPage);
    }
}
