﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ObjectSearch
{
    public interface ISearchResultItem<T>
    {
        string GetFragement(string memberName);
        string[] GetFragements(string memberName, int maxNumberOfFragments);

        string GetHighlightedFragement(string memberName, string prefix, string postfix);
        string[] GetHighlightedFragements(string memberName, int maxNumberOfFragments, string prefix, string postfix);

        string GetHighlightedValue(string memberName, string prefix, string postfix);

        T Value { get; }
    }
}
